local ui = require("fschauen.util.icons").ui

return {
  "lukas-reineke/virt-column.nvim",

  event = { "BufReadPost", "BufNewFile" },

  keys = function()
    local toggle_colorcolumn = function()
      if vim.o.colorcolumn == "" then
        vim.o.colorcolumn = "+1" -- one after 'textwidth'
      else
        vim.o.colorcolumn = "" -- none
      end
    end

    return {
      { "<leader>sc", toggle_colorcolumn, desc = ui.Toggle .. " toggle virtual colunn" },
    }
  end,

  opts = {
    char = ui.LineMiddle,
  },
}
