local M = require("lualine.component"):extend()

function M:init(options)
  M.super.init(
    self,
    vim.tbl_deep_extend("keep", options or {}, {
      cond = function() return vim.o.spell end,
    })
  )
end

function M:update_status(--[[is_focused]]_) return "󰓆" end

return M
